## rafkill 1.2.2

=== Makefile ===
all:
	scons

install:
	scons install

clean:
	scons -c
