=== SConstruct ===
--- 
+++ 
@@ -8,9 +8,20 @@
 
 print "Use 'scons -h' for help"
 
+prefix = '/usr/local/games'
+bin = '/usr/local/bin'
+if sys.platform == 'win32':
+	try:
+		Execute(Mkdir('gen'))
+	except:
+		pass
+	
+	prefix = 'gen'
+	bin = 'gen'
+
 opts = Options( 'rafkill.conf' )
-opts.Add( PathOption('prefix', 'Directory to install under', '/usr/local/games') )
-opts.Add( PathOption('bin', 'Directory where symlinked executable should go', '/usr/local/bin' ) )
+opts.Add( PathOption('prefix', 'Directory to install under', prefix ) )
+opts.Add( PathOption('bin', 'Directory where symlinked executable should go', bin ) )
 opts.Update( env )
 opts.Save( 'rafkill.conf', env )
 
@@ -69,27 +80,30 @@
 env.Install( installDir + 'rafkill', rafkill )
 def addData( file ):
 	env.Install( installDir + 'rafkill/data', "data/%s" % file )
-addData( '1.pck' )
-addData( '2.pck' )
-addData( '3.pck' )
-addData( 'beast.fnt' )
-addData( 'buy-menu.pcx' )
-addData( 'buy-scene.pcx' )
-addData( 'fonts.dat' )
-addData( 'intro.mod' )
-addData( 'level1.lev' )
-addData( 'level2.lev' )
-addData( 'level3.lev' )
-addData( 'level4.lev' )
-addData( 'level5.lev' )
-addData( 'level6.lev' )
-addData( 'level7.lev' )
-addData( 'level8.lev' )
-addData( 'logosmoot.pcx' )
-addData( 'raptor.dat' )
-addData( 'sound.dat' )
-addData( 'table.col' )
-addData( 'vulture.fnt' )
+
+map( lambda x: addData( x ), Split( """
+1.pck
+2.pck
+3.pck
+beast.fnt
+buy-menu.pcx
+buy-scene.pcx
+fonts.dat
+intro.mod
+level1.lev
+level2.lev
+level3.lev
+level4.lev
+level5.lev
+level6.lev
+level7.lev
+level8.lev
+logosmoot.pcx
+raptor.dat
+sound.dat
+table.col
+vulture.fnt
+"""));
 
 def addMusic( file ):
 	env.Install( installDir + 'rafkill/music', "music/%s" % file )
@@ -132,7 +146,8 @@
 # print "XPath = " + xpath
 
 # env.SymLink( '$bin/rafkill', os.path.abspath( '$prefix/rafkill/rafkill' ) )
-env.SymLink( '$bin/rafkill', xpath )
+if sys.platform != 'win32':
+	env.SymLink( '$bin/rafkill', xpath )
 
 env.Alias( 'install', installDir )
 env.Alias( 'install', installSymlink )
