=== debian/control ===
Source: rafkill
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Alexandre Detiste <tchet@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libaldmb1-dev,
 liballegro4-dev,
 scons,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: http://raptorv2.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/games-team/rafkill
Vcs-Git: https://salsa.debian.org/games-team/rafkill.git
X-Style: black

Package: rafkill
Architecture: any
Depends:
 rafkill-data,
 ${misc:Depends},
 ${shlibs:Depends},
Description: vertical shoot'em-up similar to Raptor: Call of the Shadows
 Rafkill is a clone of Raptor: Call of the Shadows, a classic shoot'em-up game.
 .
 You have a bird's eye view of the playing field, which is an alien world,
 and your job is to destroy the enemies that are flying towards you shooting
 bullets. The score lets you buy life, shield, better weapons or even new
 spaceships.
 .
 Rafkill features three spaceships, more than twenty weapons, colourful
 graphics with transparency effects, music and sound.

Package: rafkill-data
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: graphics and audio data for rafkill
 Rafkill is a clone of Raptor: Call of the Shadows, a classic shoot'em-up game.
 .
 This package contains the architecture-independent data for rafkill. For more
 information, see the rafkill package.
