=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	mkdir install bin
	scons prefix=install bin=bin

execute_before_dh_clean:
	scons --clean
	rm -rf install bin build .sconf_temp
	rm -f rafkill.conf .sconsign.dblite config.log

override_dh_auto_install:
	scons install

override_dh_link-arch:
	rm -rf debian/rafkill/usr/share/doc/rafkill
	dh_link
